<?xml version="1.0" encoding="UTF-8"?>
<tns:VectoInputDeclaration schemaVersion="2.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.4" xmlns:tns="urn:tugraz:ivt:VectoAPI:DeclarationInput:v2.0" xmlns:v1.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v1.0" xmlns:v2.0="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0" xmlns:v2.1="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.1" xmlns:v2.3="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xmlns:v2.4="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.4" xmlns:di="http://www.w3.org/2000/09/xmldsig#" xsi:schemaLocation="urn:tugraz:ivt:VectoAPI:DeclarationJob V:\VectoCore\VectoCore\Resources\XSD/VectoDeclarationJob.xsd">
	<v2.0:Vehicle id="VEH-1234567890" xsi:type="Vehicle_HEV-Sx_PrimaryBusDeclarationType">
		<Manufacturer>Generic Truck Manufacturer</Manufacturer>
		<ManufacturerAddress>Street, ZIP City</ManufacturerAddress>
		<Model>Generic Model</Model>
		<VIN>VEH-1234567890</VIN>
		<Date>2017-02-15T11:00:00Z</Date>
		<LegislativeCategory>M3</LegislativeCategory>
		<ChassisConfiguration>Bus</ChassisConfiguration>
		<AxleConfiguration>4x2</AxleConfiguration>
		<Articulated>false</Articulated>
		<TechnicalPermissibleMaximumLadenMass>25000</TechnicalPermissibleMaximumLadenMass>
		<IdlingSpeed>600</IdlingSpeed>
		<RetarderType>Transmission Output Retarder</RetarderType>
		<RetarderRatio>1.000</RetarderRatio>
		<AngledriveType>None</AngledriveType>
		<ZeroEmissionVehicle>false</ZeroEmissionVehicle>
		<ArchitectureID>S2</ArchitectureID>
		<OvcHev>false</OvcHev>
		<MaxChargingPower>1</MaxChargingPower>
		<!-- optional -->
		<ADAS xsi:type="ADAS_HEV_Type">
			<EngineStopStart>false</EngineStopStart>
			<PredictiveCruiseControl>none</PredictiveCruiseControl>
		</ADAS>
		<ElectricMotorTorqueLimits xsi:type="ElectricMachineTorqueLimitsSerialHybridType">
			<!-- optional -->
			<ElectricMachine>
				<Position>2</Position>
				<VoltageLevel>
					<Voltage>100</Voltage>
					<MaxTorqueCurve>
						<v2.3:Entry outShaftSpeed="0.00" maxTorque="200.00" minTorque="-200.00"/>
						<v2.3:Entry outShaftSpeed="1000.00" maxTorque="300.00" minTorque="-300.00"/>
					</MaxTorqueCurve>
				</VoltageLevel>
				<VoltageLevel>
					<Voltage>500</Voltage>
					<MaxTorqueCurve>
						<v2.3:Entry outShaftSpeed="0.00" maxTorque="200.00" minTorque="-200.00"/>
						<v2.3:Entry outShaftSpeed="1000.00" maxTorque="300.00" minTorque="-300.00"/>
					</MaxTorqueCurve>
				</VoltageLevel>
			</ElectricMachine>
			<!-- optional -->
			<ElectricMachine>
				<Position>GEN</Position>
				<VoltageLevel>
					<Voltage>100</Voltage>
					<MaxTorqueCurve>
						<v2.3:Entry outShaftSpeed="0.00" maxTorque="200.00" minTorque="-200.00"/>
						<v2.3:Entry outShaftSpeed="1000.00" maxTorque="300.00" minTorque="-300.00"/>
					</MaxTorqueCurve>
				</VoltageLevel>
				<VoltageLevel>
					<Voltage>500</Voltage>
					<MaxTorqueCurve>
						<v2.3:Entry outShaftSpeed="0.00" maxTorque="200.00" minTorque="-200.00"/>
						<v2.3:Entry outShaftSpeed="1000.00" maxTorque="300.00" minTorque="-300.00"/>
					</MaxTorqueCurve>
				</VoltageLevel>
			</ElectricMachine>
		</ElectricMotorTorqueLimits>
		<Components xsi:type="Components_HEV-S2_PrimaryBusType">
			<Engine xsi:type="v2.0:EngineComponentDeclarationType">
				<v2.0:Data xsi:type="v1.0:EngineDataDeclarationType" id="ENG-gooZah3D" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v1.0">
					<Manufacturer>Generic Engine Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck Engine</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-02-15T11:00:00Z</Date>
					<AppVersion>VectoEngine x.y</AppVersion>
					<Displacement>12730</Displacement>
					<IdlingSpeed>560</IdlingSpeed>
					<RatedSpeed>2200</RatedSpeed>
					<RatedPower>380000</RatedPower>
					<MaxEngineTorque>2300</MaxEngineTorque>
					<WHTCUrban>1.0097</WHTCUrban>
					<WHTCRural>1.0035</WHTCRural>
					<WHTCMotorway>1.0200</WHTCMotorway>
					<BFColdHot>1.0000</BFColdHot>
					<CFRegPer>1.0000</CFRegPer>
					<CFNCV>1.0000</CFNCV>
					<FuelType>NG</FuelType>
					<FuelConsumptionMap>
						<Entry engineSpeed="560.00" torque="-149.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="560.00" torque="1180.00" fuelConsumption="12869.00"/>
						<Entry engineSpeed="2100.00" torque="-320.00" fuelConsumption="0.00"/>
						<Entry engineSpeed="2100.00" torque="1100.00" fuelConsumption="50653.00"/>
					</FuelConsumptionMap>
					<FullLoadAndDragCurve>
						<Entry engineSpeed="560.00" maxTorque="1180.00" dragTorque="-149.00"/>
						<Entry engineSpeed="1800.00" maxTorque="1800.00" dragTorque="-300.00"/>
						<Entry engineSpeed="2100.00" maxTorque="1100.00" dragTorque="-320.00"/>
					</FullLoadAndDragCurve>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#ENG-gooZah3D">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>/qqS7iMvDm0MYurhsIRZTF5FeS+MNA2HnoS1P8SrSdA=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Engine>
			<ElectricMachineGEN>
				<PowertrainPosition>GEN</PowertrainPosition>
				<Count>1</Count>
				<ElectricMachineSystem>
					<v2.3:Data xsi:type="ElectricMachineSystemMeasuredDataDeclarationType" id="EM-1234" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3">
						<Manufacturer>a</Manufacturer>
						<Model>a</Model>
						<CertificationNumber>token</CertificationNumber>
						<Date>2017-01-01T00:00:00Z</Date>
						<AppVersion>aaaaa</AppVersion>
						<ElectricMachineType>ASM</ElectricMachineType>
						<CertificationMethod>Measured</CertificationMethod>
						<R85RatedPower>50000</R85RatedPower>
						<RotationalInertia>0.10</RotationalInertia>
						<DcDcConverterIncluded>true</DcDcConverterIncluded>
						<IHPCType>None</IHPCType>
						<VoltageLevel>
							<Voltage>400</Voltage>
							<ContinuousTorque>200.00</ContinuousTorque>
							<TestSpeedContinuousTorque>2000.00</TestSpeedContinuousTorque>
							<OverloadTorque>400.00</OverloadTorque>
							<TestSpeedOverloadTorque>2000.00</TestSpeedOverloadTorque>
							<OverloadDuration>30.00</OverloadDuration>
							<MaxTorqueCurve>
								<Entry outShaftSpeed="0.00" maxTorque="450.00" minTorque="-450.00"/>
								<Entry outShaftSpeed="4000.00" maxTorque="100.00" minTorque="-100.00"/>
							</MaxTorqueCurve>
							<PowerMap>
								<Entry outShaftSpeed="0.00" torque="400.00" electricPower="1000.00"/>
								<Entry outShaftSpeed="0.00" torque="-400.00" electricPower="-1000.00"/>
								<Entry outShaftSpeed="4000.00" torque="4000.00" electricPower="20000.00"/>
								<Entry outShaftSpeed="4000.00" torque="-4000.00" electricPower="-20000.00"/>
							</PowerMap>
						</VoltageLevel>
						<VoltageLevel>
							<Voltage>600</Voltage>
							<ContinuousTorque>200.00</ContinuousTorque>
							<TestSpeedContinuousTorque>2000.00</TestSpeedContinuousTorque>
							<OverloadTorque>400.00</OverloadTorque>
							<TestSpeedOverloadTorque>2000.00</TestSpeedOverloadTorque>
							<OverloadDuration>30.00</OverloadDuration>
							<MaxTorqueCurve>
								<Entry outShaftSpeed="0.00" maxTorque="450.00" minTorque="-450.00"/>
								<Entry outShaftSpeed="4000.00" maxTorque="100.00" minTorque="-100.00"/>
							</MaxTorqueCurve>
							<PowerMap>
								<Entry outShaftSpeed="0.00" torque="400.00" electricPower="1000.00"/>
								<Entry outShaftSpeed="0.00" torque="-400.00" electricPower="-1000.00"/>
								<Entry outShaftSpeed="4000.00" torque="4000.00" electricPower="20000.00"/>
								<Entry outShaftSpeed="4000.00" torque="-4000.00" electricPower="-20000.00"/>
							</PowerMap>
						</VoltageLevel>
						<DragCurve>
							<Entry outShaftSpeed="0.00" dragTorque="10.00"/>
							<Entry outShaftSpeed="4000.00" dragTorque="30.00"/>
						</DragCurve>
						<Conditioning>
							<Entry coolantTempInlet="30" coolingPower="5000"/>
						</Conditioning>
					</v2.3:Data>
					<v2.3:Signature>
						<di:Reference URI="#EM-1234">
							<di:Transforms>
								<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
								<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
							</di:Transforms>
							<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
							<di:DigestValue>ZUZEXNolQ1fX6DSEq+Chtxzam+X3e9nrw2frZnbK2dw=</di:DigestValue>
						</di:Reference>
					</v2.3:Signature>
				</ElectricMachineSystem>
				<ADC>
					<Data xsi:type="ADCDataDeclarationType" id="ADCGen-123" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3">
						<Manufacturer>ADC Manufaturer</Manufacturer>
						<Model>GenSetADC</Model>
						<CertificationNumber>CertNbr345</CertificationNumber>
						<Date>2022-01-01T00:00:00Z</Date>
						<AppVersion>ADC Evaluation App</AppVersion>
						<Ratio>1.000</Ratio>
						<CertificationMethod>Option 2</CertificationMethod>
						<TorqueLossMap>
							<Entry inputSpeed="0.00" inputTorque="0.00" torqueLoss="0.00"/>
							<Entry inputSpeed="0.00" inputTorque="500.00" torqueLoss="5.00"/>
							<Entry inputSpeed="1000.00" inputTorque="0.00" torqueLoss="0.00"/>
							<Entry inputSpeed="1000.00" inputTorque="500.00" torqueLoss="5.00"/>
						</TorqueLossMap>
					</Data>
					<v2.3:Signature>
						<di:Reference URI="#ADCGen-123">
							<di:Transforms>
								<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
								<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
							</di:Transforms>
							<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
							<di:DigestValue>nEz71+OgTLG9fRImuzMv1/3I7mu7e81OHhQdBMmpDMQ=</di:DigestValue>
						</di:Reference>
					</v2.3:Signature>
				</ADC>
			</ElectricMachineGEN>
			<ElectricEnergyStorage>
				<Battery>
					<StringID>0</StringID>
					<REESS>
						<v2.4:Data id="BAT-asdf" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xsi:type="BatterySystemDataType">
							<Manufacturer>a</Manufacturer>
							<Model>a</Model>
							<CertificationNumber>token</CertificationNumber>
							<Date>2017-01-01T00:00:00Z</Date>
							<AppVersion>aaaaa</AppVersion>
							<CertificationMethod>Measured</CertificationMethod>
							<BatteryType>HPBS</BatteryType>
							<RatedCapacity>72.00</RatedCapacity>
							<ConnectorsSubsystemsIncluded>true</ConnectorsSubsystemsIncluded>
							<JunctionboxIncluded>true</JunctionboxIncluded>
							<TestingTemperature>20</TestingTemperature>
							<OCV>
								<Entry SoC="0" OCV="620.00"/>
								<Entry SoC="100" OCV="640.00"/>
							</OCV>
							<InternalResistance>
								<Entry SoC="0" R_2="10.00" R_10="11.00" R_20="12.00"/>
								<Entry SoC="100" R_2="12.00" R_10="14.00" R_20="16.00"/>
							</InternalResistance>
							<CurrentLimits>
								<Entry SoC="0" maxChargingCurrent="50.00" maxDischargingCurrent="0.00"/>
								<Entry SoC="100" maxChargingCurrent="0.00" maxDischargingCurrent="50.00"/>
							</CurrentLimits>
						</v2.4:Data>
						<Signature>
							<di:Reference URI="#BAT-asdf">
								<di:Transforms>
									<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
									<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
								</di:Transforms>
								<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
								<di:DigestValue>22QLOYTZK+bUIolzdEzc3Ut0wPIOXEBdWv72ST0Zbyw=</di:DigestValue>
							</di:Reference>
						</Signature>
					</REESS>
					<SOCmin>20</SOCmin>
					<SOCmax>80</SOCmax>
				</Battery>
				<Battery>
					<StringID>1</StringID>
					<REESS>
						<v2.4:Data id="BAT-asdf" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3" xsi:type="BatterySystemDataType">
							<Manufacturer>a</Manufacturer>
							<Model>a</Model>
							<CertificationNumber>token</CertificationNumber>
							<Date>2017-01-01T00:00:00Z</Date>
							<AppVersion>aaaaa</AppVersion>
							<CertificationMethod>Measured</CertificationMethod>
							<BatteryType>HPBS</BatteryType>
							<RatedCapacity>72.00</RatedCapacity>
							<ConnectorsSubsystemsIncluded>true</ConnectorsSubsystemsIncluded>
							<JunctionboxIncluded>true</JunctionboxIncluded>
							<TestingTemperature>20</TestingTemperature>
							<OCV>
								<Entry SoC="0" OCV="620.00"/>
								<Entry SoC="100" OCV="640.00"/>
							</OCV>
							<InternalResistance>
								<Entry SoC="0" R_2="10.00" R_10="11.00" R_20="12.00"/>
								<Entry SoC="100" R_2="12.00" R_10="14.00" R_20="16.00"/>
							</InternalResistance>
							<CurrentLimits>
								<Entry SoC="0" maxChargingCurrent="50.00" maxDischargingCurrent="0.00"/>
								<Entry SoC="100" maxChargingCurrent="0.00" maxDischargingCurrent="50.00"/>
							</CurrentLimits>
						</v2.4:Data>
						<Signature>
							<di:Reference URI="#BAT-asdf">
								<di:Transforms>
									<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
									<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
								</di:Transforms>
								<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
								<di:DigestValue>22QLOYTZK+bUIolzdEzc3Ut0wPIOXEBdWv72ST0Zbyw=</di:DigestValue>
							</di:Reference>
						</Signature>
					</REESS>
				</Battery>
			</ElectricEnergyStorage>
			<ElectricMachine>
				<PowertrainPosition>2</PowertrainPosition>
				<Count>1</Count>
				<ElectricMachineSystem>
					<v2.3:Data xsi:type="ElectricMachineSystemMeasuredDataDeclarationType" id="EM-1234" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.3">
						<Manufacturer>a</Manufacturer>
						<Model>a</Model>
						<CertificationNumber>token</CertificationNumber>
						<Date>2017-01-01T00:00:00Z</Date>
						<AppVersion>aaaaa</AppVersion>
						<ElectricMachineType>ASM</ElectricMachineType>
						<CertificationMethod>Measured</CertificationMethod>
						<R85RatedPower>50000</R85RatedPower>
						<RotationalInertia>0.10</RotationalInertia>
						<DcDcConverterIncluded>true</DcDcConverterIncluded>
						<IHPCType>None</IHPCType>
						<VoltageLevel>
							<Voltage>400</Voltage>
							<ContinuousTorque>200.00</ContinuousTorque>
							<TestSpeedContinuousTorque>2000.00</TestSpeedContinuousTorque>
							<OverloadTorque>400.00</OverloadTorque>
							<TestSpeedOverloadTorque>2000.00</TestSpeedOverloadTorque>
							<OverloadDuration>30.00</OverloadDuration>
							<MaxTorqueCurve>
								<Entry outShaftSpeed="0.00" maxTorque="450.00" minTorque="-450.00"/>
								<Entry outShaftSpeed="4000.00" maxTorque="100.00" minTorque="-100.00"/>
							</MaxTorqueCurve>
							<PowerMap>
								<Entry outShaftSpeed="0.00" torque="400.00" electricPower="1000.00"/>
								<Entry outShaftSpeed="0.00" torque="-400.00" electricPower="-1000.00"/>
								<Entry outShaftSpeed="4000.00" torque="4000.00" electricPower="20000.00"/>
								<Entry outShaftSpeed="4000.00" torque="-4000.00" electricPower="-20000.00"/>
							</PowerMap>
						</VoltageLevel>
						<VoltageLevel>
							<Voltage>600</Voltage>
							<ContinuousTorque>200.00</ContinuousTorque>
							<TestSpeedContinuousTorque>2000.00</TestSpeedContinuousTorque>
							<OverloadTorque>400.00</OverloadTorque>
							<TestSpeedOverloadTorque>2000.00</TestSpeedOverloadTorque>
							<OverloadDuration>30.00</OverloadDuration>
							<MaxTorqueCurve>
								<Entry outShaftSpeed="0.00" maxTorque="450.00" minTorque="-450.00"/>
								<Entry outShaftSpeed="4000.00" maxTorque="100.00" minTorque="-100.00"/>
							</MaxTorqueCurve>
							<PowerMap>
								<Entry outShaftSpeed="0.00" torque="400.00" electricPower="1000.00"/>
								<Entry outShaftSpeed="0.00" torque="-400.00" electricPower="-1000.00"/>
								<Entry outShaftSpeed="4000.00" torque="4000.00" electricPower="20000.00"/>
								<Entry outShaftSpeed="4000.00" torque="-4000.00" electricPower="-20000.00"/>
							</PowerMap>
						</VoltageLevel>
						<DragCurve>
							<Entry outShaftSpeed="0.00" dragTorque="10.00"/>
							<Entry outShaftSpeed="4000.00" dragTorque="30.00"/>
						</DragCurve>
						<Conditioning>
							<Entry coolantTempInlet="30" coolingPower="5000"/>
						</Conditioning>
					</v2.3:Data>
					<v2.3:Signature>
						<di:Reference URI="#EM-1234">
							<di:Transforms>
								<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
								<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
							</di:Transforms>
							<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
							<di:DigestValue>ZUZEXNolQ1fX6DSEq+Chtxzam+X3e9nrw2frZnbK2dw=</di:DigestValue>
						</di:Reference>
					</v2.3:Signature>
				</ElectricMachineSystem>
				<P2.5GearRatios>
					<!-- only for P2.5 HEV -->
					<Ratio gear="1">1.000</Ratio>
					<Ratio gear="2">2.000</Ratio>
				</P2.5GearRatios>
			</ElectricMachine>
			<Gearbox xsi:type="v2.0:GearboxComponentDeclarationType">
				<v2.0:Data id="gbx-vi2Oak2N" xsi:type="v2.0:GearboxDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Generic Gearbox Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck Gearbox</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-01-11T11:00:00Z</Date>
					<AppVersion>3.0.1</AppVersion>
					<TransmissionType>AMT</TransmissionType>
					<MainCertificationMethod>Standard values</MainCertificationMethod>
					<Gears xsi:type="GearsDeclarationType">
						<Gear number="1">
							<Ratio>14.930</Ratio>
							<MaxTorque>1900</MaxTorque>
							<MaxSpeed>2000</MaxSpeed>
							<TorqueLossMap>
								<Entry inputSpeed="0.00" inputTorque="-1000.00" torqueLoss="25.06"/>
								<Entry inputSpeed="0.00" inputTorque="50.00" torqueLoss="6.06"/>
								<Entry inputSpeed="0.00" inputTorque="3000.00" torqueLoss="54.06"/>
								<Entry inputSpeed="2100.00" inputTorque="-1000.00" torqueLoss="35.69"/>
								<Entry inputSpeed="2100.00" inputTorque="50.00" torqueLoss="16.69"/>
								<Entry inputSpeed="2100.00" inputTorque="3000.00" torqueLoss="64.69"/>
							</TorqueLossMap>
						</Gear>
						<Gear number="2">
							<Ratio>11.640</Ratio>
							<MaxTorque>1900</MaxTorque>
							<MaxSpeed>2000</MaxSpeed>
							<TorqueLossMap>
								<Entry inputSpeed="0.00" inputTorque="-1000.00" torqueLoss="25.06"/>
								<Entry inputSpeed="0.00" inputTorque="50.00" torqueLoss="6.06"/>
								<Entry inputSpeed="0.00" inputTorque="3000.00" torqueLoss="54.06"/>
								<Entry inputSpeed="2100.00" inputTorque="-1000.00" torqueLoss="35.69"/>
								<Entry inputSpeed="2100.00" inputTorque="50.00" torqueLoss="16.69"/>
								<Entry inputSpeed="2100.00" inputTorque="3000.00" torqueLoss="64.69"/>
							</TorqueLossMap>
						</Gear>
					</Gears>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#gbx-vi2Oak2N">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>8fsWE1AvinkI5UcWuU/vyx3X2kKjarP/qPC+Uon+aBE=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Gearbox>
			<TorqueConverter>
				<!-- optional -->
				<v2.0:Data id="tc-123xyz" xsi:type="v2.0:TorqueConverterDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Some Manufacturer</Manufacturer>
					<Model>Some Model</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-02-15T11:00:00Z</Date>
					<AppVersion>TC CalcApp 123</AppVersion>
					<CertificationMethod>Standard values</CertificationMethod>
					<Characteristics>
						<Entry speedRatio="0.0000" torqueRatio="1.00" inputTorqueRef="300.00"/>
						<Entry speedRatio="0.5000" torqueRatio="1.00" inputTorqueRef="200.00"/>
						<Entry speedRatio="0.9000" torqueRatio="0.90" inputTorqueRef="200.00"/>
					</Characteristics>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#tc-123xyz">
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>BpqbVEM5dAFXyIeZfvKBUhv+Oj4OU5R85aK9M4ylV+4=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</TorqueConverter>
			<Angledrive>
				<!-- optional -->
				<v2.0:Data id="agl-vi2Oak2N" xsi:type="AngledriveDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Generic Gearbox Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck Gearbox</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-01-11T11:00:00Z</Date>
					<AppVersion>3.0.1</AppVersion>
					<Ratio>2.345</Ratio>
					<CertificationMethod>Standard values</CertificationMethod>
					<TorqueLossMap>
						<Entry inputSpeed="0.00" inputTorque="-10000.00" torqueLoss="100.00"/>
						<Entry inputSpeed="1000.00" inputTorque="-1000.00" torqueLoss="100.00"/>
						<Entry inputSpeed="0.00" inputTorque="0.00" torqueLoss="10.00"/>
						<Entry inputSpeed="1000.00" inputTorque="0.00" torqueLoss="10.00"/>
						<Entry inputSpeed="0.00" inputTorque="10000.00" torqueLoss="100.00"/>
						<Entry inputSpeed="1000.00" inputTorque="1000.00" torqueLoss="100.00"/>
					</TorqueLossMap>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#agl-vi2Oak2N">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>iVRxT+wETVrlCQhZMsiqRC1mKcw3a3KSeb1y5uhINQk=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Angledrive>
			<Retarder>
				<!-- optional -->
				<v2.0:Data id="RET-Shai9imi" xsi:type="RetarderDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Generic Retarder Manufacturer</Manufacturer>
					<Model>Generic Retarder</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-01-11T11:00:00Z</Date>
					<AppVersion>3.0.1</AppVersion>
					<CertificationMethod>Standard values</CertificationMethod>
					<RetarderLossMap>
						<Entry retarderSpeed="0.00" torqueLoss="10.00"/>
						<Entry retarderSpeed="2300.00" torqueLoss="20.58"/>
					</RetarderLossMap>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#RET-Shai9imi">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>xcfok6Uo1kvFefSRo+W/oMfEfS5BdTklBugAjby2DUQ=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Retarder>
			<Axlegear>
				<v2.0:Data id="AXL-EC3ohnoh" xsi:type="v2.0:AxlegearDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Manufacturer>Generic Gearbox Manufacturer</Manufacturer>
					<Model>Generic 40t Long Haul Truck AxleGear</Model>
					<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
					<Date>2017-01-11T11:00:00Z</Date>
					<AppVersion>3.0.1</AppVersion>
					<LineType>Single portal axle</LineType>
					<Ratio>2.590</Ratio>
					<CertificationMethod>Standard values</CertificationMethod>
					<TorqueLossMap>
						<Entry inputSpeed="0.00" inputTorque="-5000.00" torqueLoss="115.00"/>
						<Entry inputSpeed="0.00" inputTorque="0.00" torqueLoss="40.00"/>
						<Entry inputSpeed="0.00" inputTorque="15000.00" torqueLoss="265.00"/>
						<Entry inputSpeed="2100.00" inputTorque="-5000.00" torqueLoss="115.00"/>
						<Entry inputSpeed="2100.00" inputTorque="0.00" torqueLoss="40.00"/>
						<Entry inputSpeed="2100.00" inputTorque="35000.00" torqueLoss="565.00"/>
					</TorqueLossMap>
				</v2.0:Data>
				<v2.0:Signature>
					<di:Reference URI="#AXL-EC3ohnoh">
						<di:Transforms>
							<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
							<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
						</di:Transforms>
						<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
						<di:DigestValue>Ux2vo+s07pGr9XCbvNs/YbJcFaZClORRGXpP6Eyeze8=</di:DigestValue>
					</di:Reference>
				</v2.0:Signature>
			</Axlegear>
			<AxleWheels>
				<Data xsi:type="AxleWheelsDataDeclarationType" xmlns="urn:tugraz:ivt:VectoAPI:DeclarationDefinitions:v2.0">
					<Axles>
						<Axle axleNumber="1" xsi:type="AxleDataDeclarationType">
							<AxleType>VehicleNonDriven</AxleType>
							<TwinTyres>false</TwinTyres>
							<Steered>true</Steered>
							<Tyre>
								<Data id="WHL-5432198760-315-70-R22.5" xsi:type="TyreDataDeclarationType">
									<Manufacturer>Generic Wheels Manufacturer</Manufacturer>
									<Model>Generic Wheel</Model>
									<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
									<Date>2017-01-11T14:00:00Z</Date>
									<AppVersion>Tyre Generation App 1.0</AppVersion>
									<Dimension>315/70 R22.5</Dimension>
									<RRCDeclared>0.0055</RRCDeclared>
									<FzISO>31300</FzISO>
								</Data>
								<Signature>
									<di:Reference URI="#WHL-5432198760-315-70-R22.5">
										<di:Transforms>
											<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
											<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
										</di:Transforms>
										<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
										<di:DigestValue>A/sq1ng4cqeOyauDUqUEnonRSPch3VCqZDX9Pf3tW1Q=</di:DigestValue>
									</di:Reference>
								</Signature>
							</Tyre>
						</Axle>
						<Axle axleNumber="2" xsi:type="AxleDataDeclarationType">
							<AxleType>VehicleDriven</AxleType>
							<TwinTyres>true</TwinTyres>
							<Steered>false</Steered>
							<Tyre>
								<Data id="WHL-5432198760-315-70-R22.5" xsi:type="TyreDataDeclarationType">
									<Manufacturer>Generic Wheels Manufacturer</Manufacturer>
									<Model>Generic Wheel</Model>
									<CertificationNumber>e12*0815/8051*2017/05E0000*00</CertificationNumber>
									<Date>2017-01-11T14:00:00Z</Date>
									<AppVersion>Tyre Generation App 1.0</AppVersion>
									<Dimension>315/70 R22.5</Dimension>
									<RRCDeclared>0.0063</RRCDeclared>
									<FzISO>31300</FzISO>
								</Data>
								<Signature>
									<di:Reference URI="#WHL-5432198760-315-70-R22.5">
										<di:Transforms>
											<di:Transform Algorithm="urn:vecto:xml:2017:canonicalization"/>
											<di:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
										</di:Transforms>
										<di:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/>
										<di:DigestValue>z+KDXmc5MIezM6RVgfYax5J9Efi0ghciG2/wLLmWaBk=</di:DigestValue>
									</di:Reference>
								</Signature>
							</Tyre>
						</Axle>
					</Axles>
				</Data>
			</AxleWheels>
			<Auxiliaries>
				<Data xsi:type="AUX_HEV-S_PrimaryBusType">
					<Fan>
						<Technology>Hydraulic driven - Constant displacement pump</Technology>
					</Fan>
					<SteeringPump>
						<Technology axleNumber="1">Full electric steering gear</Technology>
					</SteeringPump>
					<ElectricSystem>
						<AlternatorTechnology>conventional</AlternatorTechnology>
						<SupplyFromHEVPossible>false</SupplyFromHEVPossible>
					</ElectricSystem>
					<PneumaticSystem>
						<SizeOfAirSupply>Large Supply 2-stage</SizeOfAirSupply>
						<CompressorDrive>mechanically</CompressorDrive>
						<Clutch>none</Clutch>
						<CompressorRatio>1.000</CompressorRatio>
						<SmartRegenerationSystem>false</SmartRegenerationSystem>
						<AirsuspensionControl>electronically</AirsuspensionControl>
						<PneumaticSCRReagentDosing>true</PneumaticSCRReagentDosing>
					</PneumaticSystem>
					<HVAC>
						<AdjustableCoolantThermostat>true</AdjustableCoolantThermostat>
						<EngineWasteGasHeatExchanger>true</EngineWasteGasHeatExchanger>
					</HVAC>
				</Data>
			</Auxiliaries>
		</Components>
	</v2.0:Vehicle>
</tns:VectoInputDeclaration>
